TheIDE: Output compiled C/C++ files for Open Watcom (OWC) builder

04/07/2012 01:56 PM - Sender Ghost

Status: Approved Start date: 04/07/2012

Priority: Immediate Due date:

Assignee: Sender Ghost % Done: 100%

Category: IDE Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

After comparing GCC and MSC with OWC builder output, I found, that there is no output (to TheIDE console) for compiled files. The main

reason is quiet operation (because of needed specified quiet flag), while compiling.

The patch gives this output, as for other compilers.

History

#1 - 04/07/2012 01:57 PM - Sender Ghost

- File 271_uppsrc.diff added

- Status changed from New to Patch ready

- % Done changed from 0 to 100

#2 - 04/08/2012 11:46 AM - Sender Ghost

Some example.

Before patch:

----- ComplexA ( OWC WIN32 ) (1 / 3)

Creating library...

ComplexA: 2 file(s) built in (0:00.07), 39 msecs / file, duration = 94 msecs, parallelization 76%

C:/upp/out/uppsrc/ComplexA/OWC.\ComplexA.lib (2048 B) created in (0:00.14)

----- ComplexB ( OWC WIN32 ) (2 / 3)

Creating library...

ComplexB: 1 file(s) built in (0:00.06), 63 msecs / file, duration = 63 msecs, parallelization 0%

C:/upp/out/uppsrc/ComplexB/OWC.\ComplexB.lib (1024 B) created in (0:00.12)

----- ComplexTest ( MAIN OWC WIN32 ) (3 / 3)

Linking...

C:\upp\out\uppsrc\OWC.\ComplexTest.exe (29696 B) linked in (0:00.32)

ComplexTest: 3 file(s) built in (0:00.33), 111 msecs / file, duration = 344 msecs, parallelization 27%

OK. (0:00.62)

After patch:

----- ComplexA ( OWC WIN32 ) (1 / 3)

complexA.cpp

complexA2.cpp

Creating library...

ComplexA: 2 file(s) built in (0:00.06), 34 msecs / file, duration = 78 msecs, parallelization 78%

C:/upp/out/uppsrc/ComplexA/OWC.\ComplexA.lib (2048 B) created in (0:00.12)

----- ComplexB ( OWC WIN32 ) (2 / 3)

main.cpp
Creating library...

ComplexB: 1 file(s) built in (0:00.04), 46 msecs / file, duration = 46 msecs, parallelization 0%

C:/upp/out/uppsrc/ComplexB/OWC.\ComplexB.lib (1024 B) created in (0:00.09)

----- ComplexTest ( MAIN OWC WIN32 ) (3 / 3)

setup.cpp

main.cpp

Linking...

C:\upp\out\uppsrc\OWC.\ComplexTest.exe (29696 B) linked in (0:00.28)

ComplexTest: 3 file(s) built in (0:00.28), 96 msecs / file, duration = 297 msecs, parallelization 25%

OK. (0:00.53)

#3 - 05/11/2012 01:04 PM - Miroslav Fidler

- Priority changed from Normal to Immediate

#4 - 05/12/2012 11:32 AM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Sender Ghost

#5 - 05/12/2012 04:25 PM - Sender Ghost

- Status changed from Ready for QA to Approved

Files

271_uppsrc.diff 903 Bytes 04/07/2012 Sender Ghost
